### Method

# FwupdPlugin HeciDevice arbh_svn_get_info

since: 2.0.9

#### Declaration [src]

    gboolean
    fu_heci_device_arbh_svn_get_info (
      FuHeciDevice* self,
      guint8 usage_id,
      guint8* executing,
      guint8* min_allowed,
      GError** error
    )

#### Description [src]

Reads the ARBH SVN for a specific usage ID.

Available since: 2.0.9

#### Parameters

`usage_id`

  Type: `guint8`

  Usage ID, e.g. `FU_MKHI_ARBH_SVN_INFO_ENTRY_USAGE_ID_CSE_RBE`.

`executing`

  Type: `guint8*`

  Currently executing SVN.

  The argument will be set by the function.
  The argument can be set to `NULL` by the method.

`min_allowed`

  Type: `guint8*`

  Minimal allowed SVN.

  The argument will be set by the function.
  The argument can be set to `NULL` by the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` for success.